List a Project's Users
GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/users/
Return a list of users seen within this project.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to.
Query Parameters:
query(string)Limit results to users matching the given query. Prefixes should be used to suggest the field to match on:
id,email,username,ip. For example,query=email:foo@example.com.cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:readproject:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/users/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied[ { "id": "1", "tagValue": "email:sentry@example.com", "identifier": "1", "username": "sentry", "email": "sentry@example.com", "name": "Sentry", "ipAddress": "127.0.0.1", "avatarUrl": "https://secure.gravatar.com/avatar/7ddf6ed64b36a1a28182f2c9af87c910?s=32", "hash": "7ddf6ed64b36a1a28182f2c9af87c910", "dateCreated": null } ]
Was this helpful?